Subject: Re: bug#48581: 27.2; Default value of lazy-highlight-buffer-max-at-a-time is too low

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 May 2021 14:08:11 +0300

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 22 May 2021 12:49:16 +0200
> 
> > You assume that (a) the main purpose of Isearch is to count the
> > matches,
> 
> No, the main purpose of Isearch is to search for a string :-).
> `isearch-lazy-highlight-buffer-update' has more than one purpose, but I
> assume that finishing faster is always better than taking longer than
> necessary.

In most real-life cases, at least in mine, you never need to look at
all the matches, only at the first few.

> However, the delay before the lazy count appears in the echo area during
> day-to-day Isearch operation is noticeable to the naked eye.  If you
> keep looking, you will notice it.

I know it's noticeable, and that directly contradicts your time
estimations, because human eyes cannot notice such short delays.  In
general, anything shorter than 50 ms will look instantaneous to us, at
least IME.